<?php

include 'load.php';

if(isset($_GET['stock_id'])){
	$sid=mysqli_real_escape_string($conn,$_GET['stock_id']);
	$view_qury=mysqli_query($conn,"SELECT * FROM tbl_stock WHERE stock_id='$sid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='stocklist.php';</script>";
}


	if(isset($_POST['update'])){

		$sid = $_GET['stock_id'];
		$productid = $_POST['productid'];
		$pqty = $_POST['pqty'];
		
		
    if(!isset($errMSG)){
			
     /* $stmt = $DB_con->prepare('UPDATE tbl_stock
			SET prid=:productid,
			qty=:pqty
			WHERE stock_id=:sid');
			$stmt->bindParam(':productid',$productid);
			$stmt->bindParam(':pqty',$pqty);
			$stmt->bindParam(':sid',$sid);
			
      if($stmt->execute()){ */
		  
		  $sql3 = "UPDATE tbl_stock SET qty=$pqty WHERE prid='$productid' ";
				if ($conn->query($sql3) === TRUE) {
				//echo "Stock updated";
				}
				
		  
			$successMSG = "Stock Successfully Updated ...";
				
			header("refresh:2;stocklist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
   // }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Pos & Invetory Systems">
<meta name="keywords" content="Pos & Invetory Systems">
<meta name="author" content="Pos & Invetory Systems">
<meta name="robots" content="noindex, nofollow">

<title>Esit Stock | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Product Stock</h4>
<h6>Create new product productid</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
			
									<div class="alert alert-danger alert-dismissible alert-alt solid fade show">
									<button type="button" class="close h-100" data-dismiss="alert" aria-label="Close"><span><i class="mdi mdi-close"></i></span></button>
									<strong>Error!</strong> <?php echo $errMSG; ?>
									</div>

									<?php

									}
	
									else if(isset($successMSG)){

									?>
			
									<div class="alert alert-success alert-dismissible alert-alt solid fade show">
									<button type="button" class="close h-100" data-dismiss="alert" aria-label="Close"><span><i class="mdi mdi-close"></i></span></button>
									<strong>Success!</strong> <?php echo $successMSG; ?>.
									</div>

									<?php

									}

									?>
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Product</label>
<select name="productid" class="select" id="inputproductid">
										<option value="<?php

												$id = $view_result['prid']; 

												$query = $DB_con->prepare('SELECT prid FROM mobileproducts WHERE prid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['prid'];

												?>"><?php

												$id = $view_result['prid'];  

												$query = $DB_con->prepare('SELECT proname FROM mobileproducts WHERE prid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['proname'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileproducts ORDER BY prid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['prid']; ?>"><?php echo $row['proname']; ?></option>
												<?php 
												} 
												}
												?>
</select>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label for="fullName">Qty</label>
<input type="text" name="pqty" class="form-control" placeholder="Enter Qty" value="<?php echo $view_result['qty']; ?>" >
</div>
</div>

<div class="col-lg-12">
<a href="stocklist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>